Summary: enables anonymous ftp access
Name: anonftp
Version: 2.5
Release: 1
Copyright: GPL
Group: Networking/Admin
Prefix: /home/ftp
BuildRoot: /var/tmp/anonftp-root
AutoReqProv: 0
Requires: ftpserver

%changelog
* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- updated for the newer glibc libs

* Thu Nov 06 1997 Donnie Barnes <djb@redhat.com>
- Built with glibc for the first time
- moved BuildRoot to /var/tmp
- mega-reworking of the spec file

* Mon Mar 03 1997 Erik Troan <ewt@redhat.com>
- Requires ftpserver virtual package now (which wu-ftpd provides).

%description
Contains the files needed for allowing anonymous ftp access to your machine. 
This lets any user get files from your machine without having an account,
which is a popular way of making programs available on the Internet.

%prep
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/home/ftp
mkdir -p $RPM_BUILD_ROOT/home/ftp/pub
mkdir -p $RPM_BUILD_ROOT/home/ftp/etc
mkdir -p $RPM_BUILD_ROOT/home/ftp/bin
mkdir -p $RPM_BUILD_ROOT/home/ftp/lib

cat > $RPM_BUILD_ROOT/home/ftp/etc/passwd <<EOF
root:*:0:0:::
bin:*:1:1:::
operator:*:11:0:::
ftp:*:14:50:::
nobody:*:99:99:::
EOF

cat > $RPM_BUILD_ROOT/home/ftp/etc/group <<EOF
root::0:
bin::1:
daemon::2:
sys::3:
adm::4:
ftp::50:
EOF

%define LDSOVER 2

%ifarch i386
%define LIBCSOVER 6
%define LIBCVER 2.0.7
%define LIBNSSVER 1
%endif

%ifarch sparc
%define LIBCSOVER 6
%define LIBCVER 2.0.7
%define LIBNSSVER 1
%endif

%ifarch alpha
%define LIBCSOVER 6.1
%define LIBCVER 2.0.7
%define LIBNSSVER 1.1
%endif

%define ROOT $RPM_BUILD_ROOT/home/ftp/lib

cp -fpa /etc/ld.so.cache $RPM_BUILD_ROOT/home/ftp/etc
cp -fpa /lib/libc.so.%{LIBCSOVER} /lib/libc-%{LIBCVER}.so %{ROOT}
cp -fpa /lib/ld-linux.so.%{LDSOVER} /lib/ld-%{LIBCVER}.so %{ROOT}
cp -fpa /lib/libnss_files-%{LIBCVER}.so /lib/libnss_files.so.%{LIBNSSVER} %{ROOT}
cp -fpa /lib/libnsl-%{LIBCVER}.so /lib/libnsl.so.%{LIBNSSVER} %{ROOT}

cp -fpa /bin/ls /bin/cpio /bin/gzip /bin/tar $RPM_BUILD_ROOT/home/ftp/bin
cp -fpa /bin/ash $RPM_BUILD_ROOT/home/ftp/bin/sh
ln -sf gzip $RPM_BUILD_ROOT/home/ftp/bin/zcat
cp -fpa /usr/bin/compress $RPM_BUILD_ROOT/home/ftp/bin

strip $RPM_BUILD_ROOT/home/ftp/lib/*
cd $RPM_BUILD_ROOT/home/ftp/bin/
strip ls cpio gzip tar 
cd -

chown -R root.root $RPM_BUILD_ROOT/home/ftp
chmod 755 $RPM_BUILD_ROOT/home/ftp
chmod -R 111 $RPM_BUILD_ROOT/home/ftp/bin
chmod 111 $RPM_BUILD_ROOT/home/ftp/etc
chmod 444 $RPM_BUILD_ROOT/home/ftp/etc/*
chown root.ftp $RPM_BUILD_ROOT/home/ftp/pub
chmod 2555 $RPM_BUILD_ROOT/home/ftp/pub

%clean
rm -rf $RPM_BUILD_ROOT

%files
/home/ftp/etc/passwd
/home/ftp/etc/group

/home/ftp/etc/ld.so.cache
/home/ftp/lib/libc.so.%{LIBCSOVER}
/home/ftp/lib/libc-%{LIBCVER}.so
/home/ftp/lib/ld-linux.so.%{LDSOVER}
/home/ftp/lib/ld-%{LIBCVER}.so
/home/ftp/lib/libnss_files-%{LIBCVER}.so
/home/ftp/lib/libnss_files.so.%{LIBNSSVER}
/home/ftp/lib/libnsl-%{LIBCVER}.so
/home/ftp/lib/libnsl.so.%{LIBNSSVER}

%dir /home/ftp
%dir /home/ftp/bin
%dir /home/ftp/etc
%dir /home/ftp/pub
%dir /home/ftp/lib
/home/ftp/bin/ls
/home/ftp/bin/compress
/home/ftp/bin/cpio
/home/ftp/bin/gzip
/home/ftp/bin/sh
/home/ftp/bin/tar
/home/ftp/bin/zcat
